Skip to main content
`Ctrl`+`K`

# PetscLogPerfstubsBegin

Turns on logging of events using the perfstubs interface.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogPerfstubsBegin(void)

Collective on `PETSC_COMM_WORLD`, No Fortran Support

## Options Database Key

- -log_perfstubs - use an external log handler through the perfstubs interface

## See Also

Profiling, `PetscLogDefaultBegin()`, `PetscLogEventActivate()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages